import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../shared/base-api-template-service.model';
import { ApiVisa } from '../../shared/api-visa.model';
export declare class ShopeeGetPrintableService extends BaseApiTemplateService<any> {
    readonly url: string;
    constructor(http: HttpClient);
    getPrintable(branchGuid: string, dtoObject: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    getPrintablePromise(branchGuid: string, dtoObject: any, apiVisa: ApiVisa): Promise<Blob>;
}
